package models

import "time"

type EdbClassify struct {
	ClassifyId      int       `orm:"column(classify_id);pk"`
	ClassifyType    uint8     `description:"分类类型，0：普通指标分类，1：预测指标分类"`
	ClassifyName    string    `description:"分类名称"`
	ParentId        int       `description:"父级id"`
	HasData         int       `description:"是否含有指标数据"`
	CreateTime      time.Time `description:"创建时间"`
	ModifyTime      time.Time `description:"修改时间"`
	SysUserId       int       `description:"创建人id"`
	SysUserRealName string    `description:"创建人姓名"`
	Level           int       `description:"层级"`
	UniqueCode      string    `description:"唯一编码"`
	Sort            int       `description:"排序字段，越小越靠前，默认值：10"`
}

type ClassifyResp struct {
	Ret     int    `json:"Ret"`
	Msg     string `json:"Msg"`
	ErrMsg  string `json:"ErrMsg"`
	ErrCode string `json:"ErrCode"`
	Data    struct {
		ClassifyId      int       `json:"ClassifyId"`
		ClassifyType    int       `json:"ClassifyType"`
		ClassifyName    string    `json:"ClassifyName"`
		ParentId        int       `json:"ParentId"`
		HasData         int       `json:"HasData"`
		CreateTime      time.Time `json:"CreateTime"`
		ModifyTime      time.Time `json:"ModifyTime"`
		SysUserId       int       `json:"SysUserId"`
		SysUserRealName string    `json:"SysUserRealName"`
		Level           int       `json:"Level"`
		UniqueCode      string    `json:"UniqueCode"`
		Sort            int       `json:"Sort"`
	} `json:"Data"`
	Success bool `json:"Success"`
}

type MysteelClassifyResp struct {
	Ret     int    `json:"Ret"`
	Msg     string `json:"Msg"`
	ErrMsg  string `json:"ErrMsg"`
	ErrCode string `json:"ErrCode"`
	Data    struct {
		BaseFromMysteelChemicalClassifyId int       `orm:"column(base_from_mysteel_chemical_classify_id);pk"`
		ClassifyName                      string    `description:"分类名称"`
		ParentId                          int       `description:"父级id"`
		SysUserId                         int       `description:"创建人id"`
		SysUserRealName                   string    `description:"创建人姓名"`
		Level                             int       `description:"层级"`
		Sort                              int       `description:"排序字段，越小越靠前，默认值：10"`
		ModifyTime                        time.Time `description:"修改时间"`
		CreateTime                        time.Time `description:"创建时间"`
	} `json:"Data"`
	Success bool `json:"Success"`
}
